package nc.ui.gl.accbook;

import java.awt.Container;
import java.awt.Frame;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JPanel;
import nc.ui.gl.accbook.CorpChooserPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UIDialog;
import nc.vo.bd.CorpVO;

public class CorpChooserDlg extends UIDialog implements ActionListener {

   private UIButton ivjbnCancel = null;
   private UIButton ivjbnOk = null;
   private JPanel ivjUIDialogContentPane = null;
   private CorpChooserPanel ivjCorpChooserPanel1 = null;


   public CorpChooserDlg() {
      this.initialize();
   }

   public CorpChooserDlg(Container parent) {
      super(parent);
      this.initialize();
   }

   public CorpChooserDlg(Container parent, String title) {
      super(parent, title);
   }

   public CorpChooserDlg(Frame owner) {
      super(owner);
   }

   public CorpChooserDlg(Frame owner, String title) {
      super(owner, title);
   }

   public void actionPerformed(ActionEvent e) {
      if(e.getSource() == this.getbnCancel()) {
         this.getCorpChooserPanel1().refreshList();
         this.closeCancel();
      }

      if(e.getSource() == this.getbnOk()) {
         this.getCorpChooserPanel1().refreshCacheData();
         this.closeOK();
      }

   }

   private UIButton getbnCancel() {
      if(this.ivjbnCancel == null) {
         try {
            this.ivjbnCancel = new UIButton();
            this.ivjbnCancel.setName("bnCancel");
            this.ivjbnCancel.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000066"));
            this.ivjbnCancel.setBounds(194, 248, 67, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjbnCancel;
   }

   private UIButton getbnOk() {
      if(this.ivjbnOk == null) {
         try {
            this.ivjbnOk = new UIButton();
            this.ivjbnOk.setName("bnOk");
            this.ivjbnOk.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000054"));
            this.ivjbnOk.setBounds(62, 247, 67, 22);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjbnOk;
   }

   public CorpChooserPanel getCorpChooserP() {
      if(this.ivjCorpChooserPanel1 == null) {
         try {
            this.ivjCorpChooserPanel1 = new CorpChooserPanel();
            this.ivjCorpChooserPanel1.setName("CorpChooserPanel1");
            this.ivjCorpChooserPanel1.setBounds(8, 8, 313, 219);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjCorpChooserPanel1;
   }

   private CorpChooserPanel getCorpChooserPanel1() {
      if(this.ivjCorpChooserPanel1 == null) {
         try {
            this.ivjCorpChooserPanel1 = new CorpChooserPanel();
            this.ivjCorpChooserPanel1.setName("CorpChooserPanel1");
            this.ivjCorpChooserPanel1.setBounds(8, 8, 313, 219);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjCorpChooserPanel1;
   }

   public String[] getResultKeys() {
      return this.getCorpChooserPanel1().getResultKeys();
   }

   public Object[] getResults() {
      return this.getCorpChooserPanel1().getResults();
   }

   private JPanel getUIDialogContentPane() {
      if(this.ivjUIDialogContentPane == null) {
         try {
            this.ivjUIDialogContentPane = new JPanel();
            this.ivjUIDialogContentPane.setName("UIDialogContentPane");
            this.ivjUIDialogContentPane.setLayout((LayoutManager)null);
            this.getUIDialogContentPane().add(this.getbnOk(), this.getbnOk().getName());
            this.getUIDialogContentPane().add(this.getbnCancel(), this.getbnCancel().getName());
            this.getUIDialogContentPane().add(this.getCorpChooserPanel1(), this.getCorpChooserPanel1().getName());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIDialogContentPane;
   }

   private void handleException(Throwable exception) {
   }

   private void initialize() {
      try {
         this.setName("CorpChooserDlg");
         this.setDefaultCloseOperation(2);
         this.setSize(330, 313);
         this.setContentPane(this.getUIDialogContentPane());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getCorpChooserPanel1().moveCurCorpToRight();
      this.getbnCancel().addActionListener(this);
      this.getbnOk().addActionListener(this);
   }

   public static void main(String[] args) {
      try {
         CorpChooserDlg exception = new CorpChooserDlg();
         exception.setModal(true);
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var3) {
         System.err.println("nc.ui.pub.beans.UIDialog 的 main() 中发生异常");
         var3.printStackTrace(System.out);
      }

   }

   public void setCorpVO(CorpVO[] p_vo) {
      this.getCorpChooserPanel1().setCorpVOIntoList(p_vo);
   }

   public void setCorpVO(CorpVO[] p_voLeft, CorpVO[] p_voRight) {
      this.getCorpChooserPanel1().setCorpVOIntoList(p_voLeft, p_voRight);
   }
}
